package com.ffii.fpsms.modules.master.web

import com.ffii.fpsms.modules.master.entity.Warehouse
import com.ffii.fpsms.modules.master.service.WarehouseService
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/warehouse")
class WarehouseController(
    private val warehouseService: WarehouseService
) {
    @GetMapping
    fun getWarehouses(): List<Warehouse> {
        return warehouseService.getWarehouses()
    }
}